/*
 * $XConsortium: CharSet.h,v 1.2 89/09/22 15:33:14 jim Exp $
 *
 * Copyright 1988 by the Massachusetts Institute of Technology
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided 
 * that the above copyright notice appear in all copies and that both that 
 * copyright notice and this permission notice appear in supporting 
 * documentation, and that the name of M.I.T. not be used in advertising
 * or publicity pertaining to distribution of the software without specific, 
 * written prior permission. M.I.T. makes no representations about the 
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * The X Window System is a Trademark of MIT.
 *
 * The interfaces described by this header file are for miscellaneous utilities
 * and are not part of the Xlib standard.
 */

#ifndef _XMU_CHARSET_H_
#define _XMU_CHARSET_H_

#ifndef _XLIB_H_
#include "../Xlib.h"
#endif
#ifndef _XUTIL_H_
#include "../Xutil.h"
#endif

extern void XmuCopyISOLatin1Lowered(char *dst, const char *src);
extern void XmuCopyISOLatin1Uppered(char *dst, const char *src);
extern int XmuCompareISOLatin1(const char *s1, const char *s2);

/*
 * All the following functions are analogous to XLookupString (indeed the
 * first IS XLookupString) however they use a different encoding.
 */
extern int XmuLookupLatin1(XKeyEvent *, char *, int, KeySym *, XComposeStatus *);
extern int XmuLookupLatin2(XKeyEvent *, char *, int, KeySym *, XComposeStatus *);
extern int XmuLookupLatin3(XKeyEvent *, char *, int, KeySym *, XComposeStatus *);
extern int XmuLookupLatin4(XKeyEvent *, char *, int, KeySym *, XComposeStatus *);
extern int XmuLookupKana(XKeyEvent *, char *, int, KeySym *, XComposeStatus *);
extern int XmuLookupJISX0201(XKeyEvent *, char *, int, KeySym *, XComposeStatus *);
extern int XmuLookupArabic(XKeyEvent *, char *, int, KeySym *, XComposeStatus *);
extern int XmuLookupCyrillic(XKeyEvent *, char *, int, KeySym *, XComposeStatus *);
extern int XmuLookupGreek(XKeyEvent *, char *, int, KeySym *, XComposeStatus *);
extern int XmuLookupHebrew(XKeyEvent *, char *, int, KeySym *, XComposeStatus *);
extern int XmuLookupAPL(XKeyEvent *, char *, int, KeySym *, XComposeStatus *);
#endif /* _XMU_CHARSET_H_ */
